%define major                   2
%define libname                 %mklibname %{name} %{major}
%define libnamedev              %mklibname %{name} -d

Name:           fluidsynth
Version:        2.1.8
Release:        %mkrel 1
Summary:        Realtime, SoundFont-based synthesizer
License:        LGPLv2+
Group:          Sound/Midi
URL:            http://www.fluidsynth.org/
Source0:        https://github.com/FluidSynth/fluidsynth/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(alsa) >= 0.9.1
BuildRequires:  pkgconfig(dbus-1) >= 1.0.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.6.5
BuildRequires:  pkgconfig(gthread-2.0) >= 2.6.5
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse-simple) >= 0.9.8
BuildRequires:  pkgconfig(portaudio-2.0) >= 19
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(sndfile) >= 1.0.0

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device. It
can also play MIDI files.

%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{libnamedev}
Summary:         Header files and libraries from %{name}
Group:           Development/C
Requires:        %{libname} = %{version}-%{release}
Provides:        lib%{name}-devel = %{version}-%{release}
Provides:        %{name}-devel = %{version}-%{release}

%description -n	 %{libnamedev}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
       -DLIB_SUFFIX='' \
       -Denable-lash=0 \
       -Denable-portaudio=1
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README.md THANKS TODO
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Jun 07 2021 daviddavid <daviddavid> 2.1.8-1.mga8
+ Revision: 1730090
- new version: 2.1.8, fixes CVE-2021-21417 (mga#29051)

* Thu Oct 22 2020 daviddavid <daviddavid> 2.1.5-1.mga8
+ Revision: 1638317
- new version: 2.1.5

* Tue Jun 23 2020 daviddavid <daviddavid> 2.1.3-1.mga8
+ Revision: 1598580
- new version: 2.1.3

* Wed Apr 22 2020 daviddavid <daviddavid> 2.1.2-1.mga8
+ Revision: 1570631
- new version: 2.1.2

* Thu Feb 20 2020 umeabot <umeabot> 2.1.1-2.mga8
+ Revision: 1546125
- Mageia 8 Mass Rebuild

* Wed Feb 19 2020 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1544445
- new version: 2.1.1

* Fri Jan 31 2020 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1486078
- new version: 2.1.0

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.0.7-2.mga8
+ Revision: 1475942
- rebuild for readline
+ wally <wally>
- build with new cmake macros

* Sun Oct 06 2019 daviddavid <daviddavid> 2.0.7-1.mga8
+ Revision: 1449991
- new version: 2.0.7

* Fri Aug 30 2019 daviddavid <daviddavid> 2.0.6-1.mga8
+ Revision: 1435301
- new version: 2.0.6

* Sun Apr 21 2019 daviddavid <daviddavid> 2.0.5-1.mga7
+ Revision: 1394244
- new version: 2.0.5

* Thu Feb 28 2019 daviddavid <daviddavid> 2.0.4-1.mga7
+ Revision: 1370451
- new version: 2.0.4

* Mon Jan 14 2019 luigiwalser <luigiwalser> 2.0.3-1.mga7
+ Revision: 1356804
- 2.0.3
- enable-ladspa option is now the default
- library major is now 2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.11-2.mga7
+ Revision: 1297730
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 1.1.11-1.mga7
+ Revision: 1230456
- new version: 1.1.11
- remove merged upstream patch

* Mon Apr 23 2018 daviddavid <daviddavid> 1.1.10-1.mga7
+ Revision: 1221399
- new version: 1.1.10
- rename and rediff prefix patch

* Sun Jan 07 2018 daviddavid <daviddavid> 1.1.9-1.mga7
+ Revision: 1191115
- new version: 1.1.9

* Tue Jan 02 2018 wally <wally> 1.1.6-7.mga7
+ Revision: 1189423
- rebuild for new readline

* Mon Feb 01 2016 umeabot <umeabot> 1.1.6-6.mga6
+ Revision: 930095
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-5.mga5
+ Revision: 743739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 679243
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-3.mga4
+ Revision: 530369
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 wally <wally> 1.1.6-2.mga4
+ Revision: 457439
- clean BRs
- enable portaudio support
- drop unneeded chrpath usage on build time

* Mon Jul 22 2013 wally <wally> 1.1.6-1.mga4
+ Revision: 457304
- rediff prefix patch
- drop old obsoletes
+ dams <dams>
- new version 1.1.6

* Fri Jan 11 2013 umeabot <umeabot> 1.1.5-4.mga3
+ Revision: 350581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shikamaru <shikamaru> 1.1.5-3.mga3
+ Revision: 322704
- bump rel and fix RPM Group

* Thu Dec 29 2011 fwang <fwang> 1.1.5-2.mga2
+ Revision: 188544
- fix libdir and includedir prefix in .pc file

* Wed Sep 28 2011 emuse <emuse> 1.1.5-1.mga2
+ Revision: 150088
- sync sources to 1.1.5
- new version 1.1.5
  o Obsolete iiwusynth Provides removed

* Fri Sep 09 2011 tv <tv> 1.1.4-1.mga2
+ Revision: 141785
- new release

* Tue Jan 25 2011 ahmad <ahmad> 1.1.3-2.mga1
+ Revision: 39515
- imported package fluidsynth


* Sun Nov 28 2010 Frank Kober <emuse@mandriva.org> 1.1.3-2mdv2011.0
+ Revision: 602307
- fix missing portaudio BR
  CCBUG:61613

* Sat Nov 06 2010 Frank Kober <emuse@mandriva.org> 1.1.3-1mdv2011.0
+ Revision: 594233
- new version 1.1.3
 o enable-floats flag now default

* Sat Oct 23 2010 Frank Kober <emuse@mandriva.org> 1.1.2-3mdv2011.0
+ Revision: 587790
- fix Obsoletes name, more spec cleanups, tnx Ahmad

* Sat Oct 23 2010 Frank Kober <emuse@mandriva.org> 1.1.2-2mdv2011.0
+ Revision: 587648
- bring back sndfile BR, cleanup spec

* Sat Oct 23 2010 Frank Kober <emuse@mandriva.org> 1.1.2-1mdv2011.0
+ Revision: 587604
- new version 1.1.2
  o build system now cmake
  o static-devel package obsoleted
  o obsolete lash binding disabled
  o enable floats in cmake conf for now (will be default in future)

* Sat Feb 27 2010 Götz Waschk <waschk@mandriva.org> 1.1.1-3mdv2010.1
+ Revision: 512493
- rebuild for new libjack

  + Emmanuel Andry <eandry@mandriva.org>
    - check major

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 1.1.1-2mdv2010.1
+ Revision: 497066
- fix license

* Tue Dec 29 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 483270
- Update to new version 1.1.1
- Build with new libsndfile support

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.9-1mdv2010.0
+ Revision: 378433
- Build with Pulseaudio support
- Add BuildRequires: libreadline-devel
- update to new version 1.0.9

* Sun Aug 24 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.8-3mdv2009.0
+ Revision: 275548
- obsoletes / provides iiwusynth (the old name of this project)

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 1.0.8-2mdv2009.0
+ Revision: 234217
- obsolete old name

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 1.0.8-1mdv2008.1
+ Revision: 138724
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 David Walluck <walluck@mandriva.org> 1.0.7a-1mdv2008.0
+ Revision: 56870
- 1.0.7a
- Import fluidsynth



* Mon Feb 20 2006 Austin Acton <austin@mandriva.org> 1.0.7-1mdk
- New release 1.0.7
- build with lash support on > 2006

* Sun Jun 12 2005 Austin Acton <austin@mandriva.org> 1.0.6-1mdk
- 1.0.6
- source URL

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 1.0.5-2mdk
- rebuild for readline

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 1.0.5-1mdk
- 1.0.5
- configure 2.5

* Thu Nov 6 2003 Austin Acton <aacton@yorku.ca> 1.0.3-2mdk
- rebuild without ladcca until it works

* Thu Aug 28 2003 Austin Acton <aacton@yorku.ca> 1.0.3-1mdk
- 1.0.3

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 1.0.2-3mdk
- DIRM

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 1.0.2-2mdk
- rebuild for rpm

* Mon Jun 23 2003 Austin Acton <aacton@yorku.ca> 1.0.2-1mdk
- 1.0.2

* Thu May 22 2003 Austin Acton <aacton@yorku.ca> 1.0.1-2mdk
- add .so symbolic link

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 1.0.1-1mdk
- initial package
